Subject: bug#52030: closed (Re: bug#52030: [PATCH] gnu: Add feather font)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 27 Feb 2022 21:41:02 +0000

Your bug report

#52030: [PATCH] gnu: Add feather font

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52030: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52030
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52030: [PATCH] gnu: Add feather font
From: Ludovic Courtès <[email-masked]>
To: Jaft <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Sun, 27 Feb 2022 22:40:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Jaft <[email-masked]> skribis:

> For some reason, I only remembered the part of the documentation that says you can submit the patch in the body of the E-mail but, double-checking my memory, it definitely also lists being able to send the patch as an attachment. I'll start doing that as others have mentioned mangling, as well.
>
> * gnu/packages/fonts.scm (feather): Add Feather iconfont by AT-UI

[...]

> +(define-public font-atui-feather
> +  (package
> +    (name "font-atui-feather")
> +    (version "0")
> +    (source (origin
> +            (method git-fetch)
> +            (uri (git-reference
> +                  (commit "c51fe7cedbcf2cbf4f1b993cef5d8def612dec1d")
> +                  (url "https://github.com/AT-UI/feather-font/")))
> +            (sha256 (base32 "0hk12bjlsh0j6kd0sz3nwax259afdi6dxws4x88yz5ssxic1ng2j"))))
> +    (build-system font-build-system)
> +    (home-page "https://at-ui.github.io/feather-font/")
> +    (synopsis "Iconfont version of Feather")
> +    (description "Feather is a collection of simply beautiful icons.
> +Each icon is designed on a 24x24 grid with an emphasis on simplicity, consistency,
> +and readability.  This package bundles those icons into a font.")
> +    (license license:expat)))

I’ve (finally!) committed a tweaked version that includes a ‘version’
field following the guidelines in
<https://guix.gnu.org/manual/devel/en/html_node/Version-Numbers.html>,
also addressing another ‘guix lint’ warning about the origin.

Jaft <[email-masked]> skribis:

> I don't know if it's generally considered poor etiquette to do this but just bumping this E-mail thread, as I believe I've done the required changes and, theoretically, this patch should be all ready to just go.

No, you were right to ping me; apologies for missing your earlier email.

In the future, it’s even more convenient for us if you can send a patch
created with ‘git send-email’.

Thank you, and sorry for the delay!

Ludo’.

Subject: [PATCH] gnu: Add feather font
From: Jaft <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 22 Nov 2021 04:26:55 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/fonts.scm (feather): Add Feather iconfont by AT-UI

The foundry, AT-UI, has a hyphen but https://guix.gnu.org/manual/en/html_node/Fonts.html
seems to implicitly imply the foundry wouldn't have hyphens so I removed them,
for the package name (font-atui-feather).

---
gnu/packages/fonts.scm | 17 +++++++++++++++++
1 file changed, 17 insertions(+)
diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index c3ad57f203..2a46e08d9d 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -42,6 +42,7 @@
 ;;; Copyright © 2021 Sergiu Ivanov <[email-masked]>
 ;;; Copyright © 2021 Sarah Morgensen <[email-masked]>
 ;;; Copyright © 2021 Paul A. Patience <[email-masked]>
+;;; Copyright © 2021 Wamm K. D. <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -2285,3 +2286,19 @@ (define-public font-overpass
 Overpass includes proportional and monospace variants.")
     (license (list license:silofl1.1
                    license:lgpl2.1))))
+
+(define-public font-atui-feather
+  (package
+    (name "font-atui-feather")
+    (version "0")
+    (source (origin
+              (method url-fetch/zipbomb)
+              (uri "https://github.com/AT-UI/feather-font/archive/refs/heads/master.zip")
+              (sha256 (base32 "0lp1m1a47s56rj0q6nj8j5snkbw8jq3q7zwdzf86sbbglq170inh"))))
+    (build-system font-build-system)
+    (home-page "https://at-ui.github.io/feather-font/")
+    (synopsis "Iconfont version of Feather")
+    (description "Feather is a collection of simply beautiful open source icons.
+Each icon is designed on a 24x24 grid with an emphasis on simplicity, consistency,
+and readability.  This package bundles those icons into a font.")
+    (license license:expat)))